#----------------------------------------------------------------------------
# Defs.mk -> ${ROOT}/include/Defs.mk
#
# Makefiles for managing a Java project consisting of multiple packages.
# (see ${ROOT}/etc/Makefile.README)
# Daishi Harada (daishi@cs.berkeley.edu)
#----------------------------------------------------------------------------

JAVAC = javac
JAVAC_OPTS =

CLASS_DIR = ${ROOT}/classes
APIDOC_DIR = ${ROOT}/doc/api
JAR_DIR = ${ROOT}/jars

PKGNAME_FILE = PACKAGE
ALLPKGS_FILE = ALL_PACKAGES
BEANS_FILE = BEANS
MANIFEST_FILE = MANIFEST

TMP_FILE = .tmpfile
INSTALL = install
CLEAN = rm -rf
GARBUFT = *~ *.class ${TMP_FILE}

CLASS_FILES = ${JAVA_FILES:.java=.class}
PACKAGE_DIR = ${shell echo ${PACKAGE} | sed -e "s/\./\//g"}
DEPEND_DIRS = ${shell echo ${PKG_DEPENDS} | sed -e "s/\./\//g"}
